<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>BaseXSSFEvaluationWorkbook (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BaseXSSFEvaluationWorkbook (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BaseXSSFEvaluationWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
               target="_top">Frames</a></li>
        <li><a href="BaseXSSFEvaluationWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class BaseXSSFEvaluationWorkbook" class="title">Class BaseXSSFEvaluationWorkbook</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.BaseXSSFEvaluationWorkbook</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                           title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFEvaluationWorkbook.html"
                           title="class in org.apache.poi.xssf.streaming">SXSSFEvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFEvaluationWorkbook.html"
                            title="class in org.apache.poi.xssf.usermodel">XSSFEvaluationWorkbook</a></dd>
                </dl>
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public abstract class <span class="typeNameLabel">BaseXSSFEvaluationWorkbook</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
              title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a>, <a
                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                            title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></pre>
                <div class="block">Internal POI use only - parent of XSSF and SXSSF evaluation workbooks</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ss.formula.EvaluationWorkbook">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from interface&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                       title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheetRange.html"
                                       title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheetRange</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#Z:Z_uBook">_uBook</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#BaseXSSFEvaluationWorkbook-org.apache.poi.xssf.usermodel.XSSFWorkbook-">BaseXSSFEvaluationWorkbook</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;book)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#clearAllCachedResultValues--">clearAllCachedResultValues</a></span>()</code>
                                    <div class="block">Propagated from <a
                                            href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                        to clear locally cached data.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#convertFromExternSheetIndex-int-">convertFromExternSheetIndex</a></span>(int&nbsp;externSheetIndex)</code>
                                    <div class="block">XSSF doesn't use external sheet indexes, so when asked treat
                                        it just as a local index
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#createName--">createName</a></span>()</code>
                                    <div class="block">Return the underlying workbook</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;area,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Produce the appropriate Ptg for a 3d area reference</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Produce the appropriate Ptg for a 3d cell reference</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalName-int-int-">getExternalName</a></span>(int&nbsp;externSheetIndex,
                                    int&nbsp;externNameIndex)</code>
                                    <div class="block">HSSF Only - fetch the external-style name details</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalName-java.lang.String-java.lang.String-int-">getExternalName</a></span>(java.lang.String&nbsp;nameName,
                                    java.lang.String&nbsp;sheetName,
                                    int&nbsp;externalWorkbookNumber)</code>
                                    <div class="block">XSSF Only - fetch the external-style name details</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheet-int-">getExternalSheet</a></span>(int&nbsp;externSheetIndex)</code>
                                    <div class="block">HSSF Only - fetch the external-style sheet details</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheet-java.lang.String-java.lang.String-int-">getExternalSheet</a></span>(java.lang.String&nbsp;firstSheetName,
                                    java.lang.String&nbsp;lastSheetName,
                                    int&nbsp;externalWorkbookNumber)</code>
                                    <div class="block">XSSF Only - fetch the external-style sheet details</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheetIndex-java.lang.String-">getExternalSheetIndex</a></span>(java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">gets the externSheet index for a sheet from this workbook</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">getExternalSheetIndex</a></span>(java.lang.String&nbsp;workbookName,
                                    java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">gets the externSheet index for a sheet from an external
                                        workbook
                                    </div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getName-org.apache.poi.ss.formula.ptg.NamePtg-">getName</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationName</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getName-java.lang.String-int-">getName</a></span>(java.lang.String&nbsp;name,
                                    int&nbsp;sheetIndex)</code>
                                    <div class="block">Return EvaluationName wrapper around the matching XSSFName (named
                                        range)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getNameText-org.apache.poi.ss.formula.ptg.NamePtg-">getNameText</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPxg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPxg</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">getNameXPtg</a></span>(java.lang.String&nbsp;name,
                                    <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                       title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</code>
                                    <div class="block">Return an external name (named range, function, user-defined
                                        function) Pxg
                                    </div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSheetFirstNameByExternSheet-int-">getSheetFirstNameByExternSheet</a></span>(int&nbsp;externSheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSheetIndex-java.lang.String-">getSheetIndex</a></span>(java.lang.String&nbsp;sheetName)</code>
                                    <div class="block">Finds a sheet index by case insensitive name.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSheetLastNameByExternSheet-int-">getSheetLastNameByExternSheet</a></span>(int&nbsp;externSheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSheetName-int-">getSheetName</a></span>(int&nbsp;sheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                        title="enum in org.apache.poi.ss">SpreadsheetVersion</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></span>()</code>
                                    <div class="block">Returns an enum holding spreadhseet properties specific to an
                                        Excel version (
                                        max column and row numbers, max arguments to a function, etc.)
                                    </div>
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTable</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getTable-java.lang.String-">getTable</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the data table with the given name (case insensitive).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                        title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#getUDFFinder--">getUDFFinder</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html#resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">resolveNameXText</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;n)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.formula.EvaluationWorkbook">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.formula.<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                        title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getFormulaTokens-org.apache.poi.ss.formula.EvaluationCell-">getFormulaTokens</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheet-int-">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetIndex-org.apache.poi.ss.formula.EvaluationSheet-">getSheetIndex</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="Z:Z_uBook">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>_uBook</h4>
                                <pre>protected final&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a> _uBook</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="BaseXSSFEvaluationWorkbook-org.apache.poi.xssf.usermodel.XSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>BaseXSSFEvaluationWorkbook</h4>
                                <pre>protected&nbsp;BaseXSSFEvaluationWorkbook(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFWorkbook.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFWorkbook</a>&nbsp;book)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="clearAllCachedResultValues--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clearAllCachedResultValues</h4>
                                <pre>public&nbsp;void&nbsp;clearAllCachedResultValues()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#clearAllCachedResultValues--">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">Propagated from <a
                                        href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                    to clear locally cached data.
                                    Implementations must call the same method on all referenced <a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationSheet.html"
                                            title="interface in org.apache.poi.ss.formula"><code>EvaluationSheet</code></a>
                                    instances, as well as clearing local caches.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#clearAllCachedResultValues--">clearAllCachedResultValues</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/ss/formula/WorkbookEvaluator.html#clearAllCachedResultValues--"><code>WorkbookEvaluator.clearAllCachedResultValues()</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="convertFromExternSheetIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>convertFromExternSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;convertFromExternSheetIndex(int&nbsp;externSheetIndex)</pre>
                                <div class="block">XSSF doesn't use external sheet indexes, so when asked treat
                                    it just as a local index
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#convertFromExternSheetIndex-int-">convertFromExternSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalSheetIndex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getExternalSheetIndex(java.lang.String&nbsp;sheetName)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">gets the externSheet index for a sheet from this workbook</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-">getExternalSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                                    title="interface in org.apache.poi.ss.formula">EvaluationName</a>&nbsp;getName(java.lang.String&nbsp;name,
                              int&nbsp;sheetIndex)</pre>
                                <div class="block">Return EvaluationName wrapper around the matching XSSFName (named
                                    range)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getName-java.lang.String-int-">getName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getName-java.lang.String-int-">getName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - case-aware but case-insensitive named range in workbook</dd>
                                    <dd><code>sheetIndex</code> - index of sheet if named range scope is limited to one
                                        sheet
                                        if named range scope is global to the workbook, sheetIndex is -1.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>If name is a named range in the workbook, returns
                                        EvaluationName corresponding to that named range
                                        Returns null if there is no named range with the same name and scope in the
                                        workbook
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetName-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSheetName(int&nbsp;sheetIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetName-int-">getSheetName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalName-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalName</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>&nbsp;getExternalName(int&nbsp;externSheetIndex,
                                                       int&nbsp;externNameIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-int-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">HSSF Only - fetch the external-style name details</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-int-int-">getExternalName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalName-java.lang.String-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalName</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalName.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalName</a>&nbsp;getExternalName(java.lang.String&nbsp;nameName,
                                                       java.lang.String&nbsp;sheetName,
                                                       int&nbsp;externalWorkbookNumber)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-java.lang.String-java.lang.String-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">XSSF Only - fetch the external-style name details</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalName-java.lang.String-java.lang.String-int-">getExternalName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameXPtg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/NameXPxg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">NameXPxg</a>&nbsp;getNameXPtg(java.lang.String&nbsp;name,
                            <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                               title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block">Return an external name (named range, function, user-defined
                                    function) Pxg
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getNameXPtg-java.lang.String-org.apache.poi.ss.formula.SheetIdentifier-">getNameXPtg</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get3DReferencePtg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>&nbsp;get3DReferencePtg(<a
                                        href="../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;cell,
                             <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">Produce the appropriate Ptg for a 3d cell reference</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.CellReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>get3DReferencePtg</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>&nbsp;get3DReferencePtg(<a
                                        href="../../../../../org/apache/poi/ss/util/AreaReference.html"
                                        title="class in org.apache.poi.ss.util">AreaReference</a>&nbsp;area,
                             <a href="../../../../../org/apache/poi/ss/formula/SheetIdentifier.html"
                                title="class in org.apache.poi.ss.formula">SheetIdentifier</a>&nbsp;sheet)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">Produce the appropriate Ptg for a 3d area reference</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#get3DReferencePtg-org.apache.poi.ss.util.AreaReference-org.apache.poi.ss.formula.SheetIdentifier-">get3DReferencePtg</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resolveNameXText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;resolveNameXText(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NameXPtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NameXPtg</a>&nbsp;n)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">resolveNameXText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#resolveNameXText-org.apache.poi.ss.formula.ptg.NameXPtg-">resolveNameXText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheet</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>&nbsp;getExternalSheet(int&nbsp;externSheetIndex)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">HSSF Only - fetch the external-style sheet details
                                    <p>Return will have no workbook set if it's actually in our own workbook</p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-int-">getExternalSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#getExternalSheet-int-">getExternalSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>null</code> if externSheetIndex refers to a sheet inside the current
                                        workbook
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalSheet-java.lang.String-java.lang.String-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheet</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.ExternalSheet.html"
                                        title="class in org.apache.poi.ss.formula">EvaluationWorkbook.ExternalSheet</a>&nbsp;getExternalSheet(java.lang.String&nbsp;firstSheetName,
                                                         java.lang.String&nbsp;lastSheetName,
                                                         int&nbsp;externalWorkbookNumber)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-java.lang.String-java.lang.String-int-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">XSSF Only - fetch the external-style sheet details
                                    <p>Return will have no workbook set if it's actually in our own workbook</p></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getExternalSheet-java.lang.String-java.lang.String-int-">getExternalSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getExternalSheetIndex-java.lang.String-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getExternalSheetIndex</h4>
                                <pre><a href="../../../../../org/apache/poi/util/NotImplemented.html"
                                        title="annotation in org.apache.poi.util">@NotImplemented</a>
public&nbsp;int&nbsp;getExternalSheetIndex(java.lang.String&nbsp;workbookName,
                                                 java.lang.String&nbsp;sheetName)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">gets the externSheet index for a sheet from an external workbook
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getExternalSheetIndex-java.lang.String-java.lang.String-">getExternalSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>workbookName</code> - e.g. "Budget.xls"</dd>
                                    <dd><code>sheetName</code> - a name of a sheet in that workbook</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetIndex-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetIndex</h4>
                                <pre>public&nbsp;int&nbsp;getSheetIndex(java.lang.String&nbsp;sheetName)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetIndex-java.lang.String-">EvaluationWorkbook</a></code></span>
                                </div>
                                <div class="block">Finds a sheet index by case insensitive name.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSheetIndex-java.lang.String-">getSheetIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the index of the sheet matching the specified name. -1 if not found</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetFirstNameByExternSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetFirstNameByExternSheet</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSheetFirstNameByExternSheet(int&nbsp;externSheetIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#getSheetFirstNameByExternSheet-int-">getSheetFirstNameByExternSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of the (first) sheet referred to by the given external sheet index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSheetLastNameByExternSheet-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheetLastNameByExternSheet</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getSheetLastNameByExternSheet(int&nbsp;externSheetIndex)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#getSheetLastNameByExternSheet-int-">getSheetLastNameByExternSheet</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of the (last) sheet referred to by the given external sheet index</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNameText-org.apache.poi.ss.formula.ptg.NamePtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNameText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getNameText(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html#getNameText-org.apache.poi.ss.formula.ptg.NamePtg-">getNameText</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaRenderingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaRenderingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName-org.apache.poi.ss.formula.ptg.NamePtg-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/EvaluationName.html"
                                                    title="interface in org.apache.poi.ss.formula">EvaluationName</a>&nbsp;getName(<a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/NamePtg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">NamePtg</a>&nbsp;namePtg)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getName-org.apache.poi.ss.formula.ptg.NamePtg-">getName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createName</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFName.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFName</a>&nbsp;createName()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#createName--">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">Return the underlying workbook</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#createName--">createName</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTable-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTable</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTable.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFTable</a>&nbsp;getTable(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the data table with the given name (case insensitive).
                                    Tables are cached for performance (formula evaluation looks them up by name
                                    repeatedly).
                                    After the first table lookup, adding or removing a table from the document structure
                                    will cause trouble.
                                    This is meant to be used on documents whose structure is essentially static at the
                                    point formulas are evaluated.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getTable-java.lang.String-">getTable</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the data table name (case-insensitive)</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The Data table in the workbook named <tt>name</tt>, or <tt>null</tt> if no table
                                        is named <tt>name</tt>.
                                    </dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>3.15 beta 2</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getUDFFinder--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getUDFFinder</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/formula/udf/UDFFinder.html"
                                                    title="interface in org.apache.poi.ss.formula.udf">UDFFinder</a>&nbsp;getUDFFinder()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getUDFFinder--">getUDFFinder</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSpreadsheetVersion--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getSpreadsheetVersion</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                                    title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;getSpreadsheetVersion()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getSpreadsheetVersion--">FormulaParsingWorkbook</a></code></span>
                                </div>
                                <div class="block">Returns an enum holding spreadhseet properties specific to an Excel
                                    version (
                                    max column and row numbers, max arguments to a function, etc.)
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/EvaluationWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">EvaluationWorkbook</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html#getSpreadsheetVersion--">getSpreadsheetVersion</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/formula/FormulaParsingWorkbook.html"
                                                title="interface in org.apache.poi.ss.formula">FormulaParsingWorkbook</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/BaseXSSFEvaluationWorkbook.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/BaseXSSFFormulaEvaluator.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/BaseXSSFEvaluationWorkbook.html"
               target="_top">Frames</a></li>
        <li><a href="BaseXSSFEvaluationWorkbook.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
